//Priority: 2
/**
  
  █▀▄▀█ █▀█ █▄░█ █░█ █▀▄▀█ █▀▀ █▄░█ ▀█▀ ▄▀█ █░░   █▀▀ ▀▄▀ █▀█ █▀▀ █▀█ █ █▀▀ █▄░█ █▀▀ █▀▀
  █░▀░█ █▄█ █░▀█ █▄█ █░▀░█ ██▄ █░▀█ ░█░ █▀█ █▄▄   ██▄ █░█ █▀▀ ██▄ █▀▄ █ ██▄ █░▀█ █▄▄ ██▄

  ☻/  * @file Replace Input script
  /▌  * @copyright KnightDexx's Modded Minecraft World & ModernGamingWorld
  /\

*/
ServerEvents.recipes(event => {

    const recipes = [
        {
            replaceTarget: { id: 'supplementaries:jar_boat' },
            toReplace: '#minecraft:boats',
            replaceWith: '#modernrecipes:boats'
        }
    ]

    recipes.forEach((recipe) => {
        event.replaceInput(recipe.replaceTarget, recipe.toReplace, recipe.replaceWith)
    })

    //=== Misc Changes ===
    event.replaceInput({},'#forge:tools/hammers', '#fun_filled:tools/hammers')
    event.replaceInput({},'minecraft:ender_chest', '#forge:chests/ender')
    event.replaceInput({},'majruszsdifficulty:enderium_ingot', '#forge:ingots/enderium')
    event.replaceInput({},'croptopia:salt', '#forge:salt')

    //=== Tool Changes ===
    event.replaceInput({},'#alltheores:ore_hammers', '#fun_filled:tools/hammers')

    //=== Storage Block changes ===
    event.replaceInput({},'minecraft:glowstone', '#forge:storage_blocks/glowstone')
    event.replaceInput({},'minecraft:netherite_block', '#forge:storage_blocks/netherite')
    event.replaceInput({},'minecraft:coal_block', '#forge:storage_blocks/coal')
    event.replaceInput({},'majruszsdifficulty:enderium_block', '#forge:storage_blocks/enderium')
    event.replaceInput({},'minecraft:redstone_block', '#forge:storage_blocks/redstone')

    //Block Changes
    event.replaceInput({},'cyclic:compressed_cobblestone', 'compressium:cobblestone_1')
    event.replaceInput({},'culturaldelights:eggplant_crate', 'thermal:eggplant_block')
    event.replaceInput({},'farmersdelight:beetroot_crate', 'thermal:beetroot_block')
    event.replaceInput({},'farmersdelight:carrot_crate', 'thermal:carrot_block')
    event.replaceInput({},'farmersdelight:potato_crate', 'thermal:potato_block')
    event.replaceInput({},'farmersdelight:onion_crate', 'thermal:onion_block')
    event.replaceInput({},'prefab:item_crate_of_potatoes', 'thermal:potato_block')
    event.replaceInput({},'prefab:item_crate_of_carrots', 'thermal:carrot_block')
    event.replaceInput({},'quark:beetroot_crate', 'thermal:beetroot_block')
    event.replaceInput({},'quark:carrot_crate', 'thermal:carrot_block')
    event.replaceInput({},'quark:potato_crate', 'thermal:potato_block')
    event.replaceInput({},'quark:apple_crate', 'thermal:apple_block')
    event.replaceInput({},'minecraft:nether_bricks', '#forge:bricks/nether')
    event.replaceInput({},'quark:sugar_cane_block', 'thermal:sugar_cane_block')
    event.replaceInput({},'quark:gunpowder_sack', 'thermal:gunpowder_block')
    event.replaceInput({},'quark:bamboo_block', 'thermal:bamboo_block')
    event.replaceInput({},'supplementaries:flax_block', 'thermal:flax_block')
})
